[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Re: Minor tweaks to path handling (re-submit)
From: |
Akim Demaille |
Subject: |
Re: Minor tweaks to path handling (re-submit) |
Date: |
17 Apr 2001 19:48:05 +0200 |
User-agent: |
Gnus/5.0808 (Gnus v5.8.8) XEmacs/21.1 (Cuyahoga Valley) |
>>>>> "Lars" == Lars J Aas <address@hidden> writes:
Lars> There is also the issue of always going through the file
Lars> descriptor - not sending things directly to the file named
Lars> config.log...
You are right, this is better. But you seem to say it is needed?
Why? The section on FDs needs to be extended, these are really a
nightmare.
Index: ChangeLog
from Akim Demaille <address@hidden>
Don't mess with FDs.
* acgeneral.m4 (_AC_INIT_DEFAULTS_FDS): Remove, replace with
inline setting up of AS_MESSAGE_FD.
(AS_MESSAGE_LOG_FD): Do not define, so that AS_MESSAGE does not
output in it before...
(_AC_INIT_CONFIG_LOG): here, which is run after the handling of
options.
Index: acgeneral.m4
===================================================================
RCS file: /cvs/autoconf/acgeneral.m4,v
retrieving revision 1.715
diff -u -u -r1.715 acgeneral.m4
--- acgeneral.m4 2001/04/17 16:14:05 1.715
+++ acgeneral.m4 2001/04/17 17:44:58
@@ -687,27 +687,21 @@
])
-# _AC_INIT_DEFAULTS_FDS
-# ---------------------
+# File Descriptors
+# ----------------
# Set up the file descriptors used by `configure'.
+# File descriptor usage:
+# 0 standard input
+# 1 file creation
+# 2 errors and warnings
+# AS_MESSAGE_LOG_FD compiler messages saved in config.log
+# AS_MESSAGE_FD checking for... messages and results
m4_define([AS_MESSAGE_FD], 6)
-m4_define([AS_MESSAGE_LOG_FD], 5)
# That's how they used to be named.
AU_ALIAS([AC_FD_CC], [AS_MESSAGE_LOG_FD])
AU_ALIAS([AC_FD_MSG], [AS_MESSAGE_FD])
-m4_define([_AC_INIT_DEFAULTS_FDS],
-[# File descriptor usage:
-# 0 standard input
-# 1 file creation
-# 2 errors and warnings
address@hidden:@ AS_MESSAGE_LOG_FD compiler messages saved in config.log
address@hidden:@ AS_MESSAGE_FD checking for... messages and results
-exec AS_MESSAGE_LOG_FD>>/dev/null
-exec AS_MESSAGE_FD>&1
-])# _AC_INIT_DEFAULTS_FDS
-
# _AC_INIT_DEFAULTS
# -----------------
@@ -723,8 +717,8 @@
# so uname gets run too.
ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
+exec AS_MESSAGE_FD>&1
-_AC_INIT_DEFAULTS_FDS
#
# Initializations.
#
@@ -1367,8 +1361,9 @@
# Initialize the config.log file descriptor and write header to it.
m4_define([_AC_INIT_CONFIG_LOG],
[m4_divert_text([INIT_PREPARE],
-[exec AS_MESSAGE_LOG_FD>>config.log
-cat >config.log <<EOF
+[m4_define([AS_MESSAGE_LOG_FD], 5)dnl
+exec AS_MESSAGE_LOG_FD>config.log
+cat >&AS_MESSAGE_LOG_FD <<EOF
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
@@ -1381,9 +1376,9 @@
$ $[0] address@hidden
EOF
-AS_UNAME >>config.log
+AS_UNAME >&AS_MESSAGE_LOG_FD
-cat >>config.log <<EOF
+cat >&AS_MESSAGE_LOG_FD <<EOF
## ------------ ##
## Core tests. ##
## ------------ ##
@@ -3620,7 +3615,7 @@
cat >>$CONFIG_STATUS <<\_ACEOF
AS_SHELL_SANITIZE
-_AC_INIT_DEFAULTS_FDS
+exec AS_MESSAGE_FD>&1
_ACEOF
Index: configure
===================================================================
RCS file: /cvs/autoconf/configure,v
retrieving revision 1.125
diff -u -u -r1.125 configure
--- configure 2001/04/16 20:17:01 1.125
+++ configure 2001/04/17 17:45:00
@@ -77,13 +77,6 @@
# so uname gets run too.
ac_hostname=`(hostname || uname -n) 2>/dev/null | sed 1q`
-# File descriptor usage:
-# 0 standard input
-# 1 file creation
-# 2 errors and warnings
-# 5 compiler messages saved in config.log
-# 6 checking for... messages and results
-exec 5>>/dev/null
exec 6>&1
#
@@ -203,8 +196,7 @@
ac_feature=`expr "x$ac_option" : 'x-*disable-\(.*\)'`
# Reject names that are not valid shell variable names.
expr "x$ac_feature" : ".*[^-_$ac_cr_alnum]" >/dev/null &&
- { { echo "$as_me:206: error: invalid feature name: $ac_feature" >&5
-echo "$as_me: error: invalid feature name: $ac_feature" >&2;}
+ { echo "$as_me: error: invalid feature name: $ac_feature" >&2
{ (exit 1); exit 1; }; }
ac_feature=`echo $ac_feature | sed 's/-/_/g'`
eval "enable_$ac_feature=no" ;;
@@ -213,8 +205,7 @@
ac_feature=`expr "x$ac_option" : 'x-*enable-\([^=]*\)'`
# Reject names that are not valid shell variable names.
expr "x$ac_feature" : ".*[^-_$ac_cr_alnum]" >/dev/null &&
- { { echo "$as_me:216: error: invalid feature name: $ac_feature" >&5
-echo "$as_me: error: invalid feature name: $ac_feature" >&2;}
+ { echo "$as_me: error: invalid feature name: $ac_feature" >&2
{ (exit 1); exit 1; }; }
ac_feature=`echo $ac_feature | sed 's/-/_/g'`
case $ac_option in
@@ -396,8 +387,7 @@
ac_package=`expr "x$ac_option" : 'x-*with-\([^=]*\)'`
# Reject names that are not valid shell variable names.
expr "x$ac_package" : ".*[^-_$ac_cr_alnum]" >/dev/null &&
- { { echo "$as_me:399: error: invalid package name: $ac_package" >&5
-echo "$as_me: error: invalid package name: $ac_package" >&2;}
+ { echo "$as_me: error: invalid package name: $ac_package" >&2
{ (exit 1); exit 1; }; }
ac_package=`echo $ac_package| sed 's/-/_/g'`
case $ac_option in
@@ -410,8 +400,7 @@
ac_package=`expr "x$ac_option" : 'x-*without-\(.*\)'`
# Reject names that are not valid shell variable names.
expr "x$ac_package" : ".*[^-_$ac_cr_alnum]" >/dev/null &&
- { { echo "$as_me:413: error: invalid package name: $ac_package" >&5
-echo "$as_me: error: invalid package name: $ac_package" >&2;}
+ { echo "$as_me: error: invalid package name: $ac_package" >&2
{ (exit 1); exit 1; }; }
ac_package=`echo $ac_package | sed 's/-/_/g'`
eval "with_$ac_package=no" ;;
@@ -434,10 +423,8 @@
| --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
x_libraries=$ac_optarg ;;
- -*) { { echo "$as_me:437: error: unrecognized option: $ac_option
-Try \`$0 --help' for more information." >&5
-echo "$as_me: error: unrecognized option: $ac_option
-Try \`$0 --help' for more information." >&2;}
+ -*) { echo "$as_me: error: unrecognized option: $ac_option
+Try \`$0 --help' for more information." >&2
{ (exit 1); exit 1; }; }
;;
@@ -445,8 +432,7 @@
ac_envvar=`expr "x$ac_option" : 'x\([^=]*\)='`
# Reject names that are not valid shell variable names.
expr "x$ac_envvar" : ".*[^_$ac_cr_alnum]" >/dev/null &&
- { { echo "$as_me:448: error: invalid variable name: $ac_envvar" >&5
-echo "$as_me: error: invalid variable name: $ac_envvar" >&2;}
+ { echo "$as_me: error: invalid variable name: $ac_envvar" >&2
{ (exit 1); exit 1; }; }
ac_optarg=`echo "$ac_optarg" | sed "s/'/'\\\\\\\\''/g"`
eval "$ac_envvar='$ac_optarg'"
@@ -454,11 +440,9 @@
*)
# FIXME: should be removed in autoconf 3.0.
- { echo "$as_me:457: WARNING: you should use --build, --host, --target" >&5
-echo "$as_me: WARNING: you should use --build, --host, --target" >&2;}
+ echo "$as_me: WARNING: you should use --build, --host, --target" >&2
expr "x$ac_option" : ".*[^-._$ac_cr_alnum]" >/dev/null &&
- { echo "$as_me:460: WARNING: invalid host type: $ac_option" >&5
-echo "$as_me: WARNING: invalid host type: $ac_option" >&2;}
+ echo "$as_me: WARNING: invalid host type: $ac_option" >&2
: ${build_alias=$ac_option} ${host_alias=$ac_option}
${target_alias=$ac_option}
;;
@@ -467,8 +451,7 @@
if test -n "$ac_prev"; then
ac_option=--`echo $ac_prev | sed 's/_/-/g'`
- { { echo "$as_me:470: error: missing argument to $ac_option" >&5
-echo "$as_me: error: missing argument to $ac_option" >&2;}
+ { echo "$as_me: error: missing argument to $ac_option" >&2
{ (exit 1); exit 1; }; }
fi
@@ -481,8 +464,7 @@
case $ac_val in
[\\/$]* | ?:[\\/]* ) ;;
NONE ) ;;
- *) { { echo "$as_me:484: error: expected an absolute path for --$ac_var:
$ac_val" >&5
-echo "$as_me: error: expected an absolute path for --$ac_var: $ac_val" >&2;}
+ *) { echo "$as_me: error: expected an absolute path for --$ac_var:
$ac_val" >&2
{ (exit 1); exit 1; }; };;
esac
done
@@ -497,10 +479,8 @@
if test "x$host_alias" != x; then
if test "x$build_alias" = x; then
cross_compiling=maybe
- { echo "$as_me:500: WARNING: If you wanted to set the --build type, don't
use --host.
- If a cross compiler is detected then cross compile mode will be used." >&5
-echo "$as_me: WARNING: If you wanted to set the --build type, don't use --host.
- If a cross compiler is detected then cross compile mode will be used."
>&2;}
+ echo "$as_me: WARNING: If you wanted to set the --build type, don't use
--host.
+ If a cross compiler is detected then cross compile mode will be used." >&2
elif test "x$build_alias" != "x$host_alias"; then
cross_compiling=yes
fi
@@ -527,12 +507,10 @@
fi
if test ! -r $srcdir/$ac_unique_file; then
if test "$ac_srcdir_defaulted" = yes; then
- { { echo "$as_me:530: error: cannot find sources in $ac_confdir or .." >&5
-echo "$as_me: error: cannot find sources in $ac_confdir or .." >&2;}
+ { echo "$as_me: error: cannot find sources in $ac_confdir or .." >&2
{ (exit 1); exit 1; }; }
else
- { { echo "$as_me:534: error: cannot find sources in $srcdir" >&5
-echo "$as_me: error: cannot find sources in $srcdir" >&2;}
+ { echo "$as_me: error: cannot find sources in $srcdir" >&2
{ (exit 1); exit 1; }; }
fi
fi
@@ -657,8 +635,7 @@
echo
$ac_configure --help
else
- { echo "$as_me:660: WARNING: no configuration information is in
$ac_subdir" >&5
-echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2;}
+ echo "$as_me: WARNING: no configuration information is in $ac_subdir" >&2
fi
cd $ac_popdir
done
@@ -677,8 +654,8 @@
EOF
exit 0
fi
-exec 5>>config.log
-cat >config.log <<EOF
+exec 5>config.log
+cat >&5 <<EOF
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
@@ -714,9 +691,9 @@
PATH = $PATH
_ASUNAME
-} >>config.log
+} >&5
-cat >>config.log <<EOF
+cat >&5 <<EOF
## ------------ ##
## Core tests. ##
## ------------ ##
@@ -807,7 +784,7 @@
fi
for ac_site_file in $CONFIG_SITE; do
if test -r "$ac_site_file"; then
- { echo "$as_me:810: loading site script $ac_site_file" >&5
+ { echo "$as_me:787: loading site script $ac_site_file" >&5
echo "$as_me: loading site script $ac_site_file" >&6;}
cat "$ac_site_file" >&5
. "$ac_site_file"
@@ -818,7 +795,7 @@
# Some versions of bash will fail to source /dev/null (special
# files actually), so we avoid doing that.
if test -f "$cache_file"; then
- { echo "$as_me:821: loading cache $cache_file" >&5
+ { echo "$as_me:798: loading cache $cache_file" >&5
echo "$as_me: loading cache $cache_file" >&6;}
case $cache_file in
[\\/]* | ?:[\\/]* ) . $cache_file;;
@@ -826,7 +803,7 @@
esac
fi
else
- { echo "$as_me:829: creating cache $cache_file" >&5
+ { echo "$as_me:806: creating cache $cache_file" >&5
echo "$as_me: creating cache $cache_file" >&6;}
>$cache_file
fi
@@ -842,30 +819,30 @@
eval ac_new_val="\$ac_env_${ac_var}_value"
case $ac_old_set,$ac_new_set in
set,)
- { echo "$as_me:845: WARNING: \`$ac_var' was set to \`$ac_old_val' in the
previous run" >&5
+ { echo "$as_me:822: WARNING: \`$ac_var' was set to \`$ac_old_val' in the
previous run" >&5
echo "$as_me: WARNING: \`$ac_var' was set to \`$ac_old_val' in the previous
run" >&2;}
ac_suggest_removing_cache=: ;;
,set)
- { echo "$as_me:849: WARNING: \`$ac_var' was not set in the previous run"
>&5
+ { echo "$as_me:826: WARNING: \`$ac_var' was not set in the previous run"
>&5
echo "$as_me: WARNING: \`$ac_var' was not set in the previous run" >&2;}
ac_suggest_removing_cache=: ;;
,);;
*)
if test "x$ac_old_val" != "x$ac_new_val"; then
- { echo "$as_me:855: WARNING: \`$ac_var' has changed since the previous
run:" >&5
+ { echo "$as_me:832: WARNING: \`$ac_var' has changed since the previous
run:" >&5
echo "$as_me: WARNING: \`$ac_var' has changed since the previous run:" >&2;}
- { echo "$as_me:857: WARNING: former value: $ac_old_val" >&5
+ { echo "$as_me:834: WARNING: former value: $ac_old_val" >&5
echo "$as_me: WARNING: former value: $ac_old_val" >&2;}
- { echo "$as_me:859: WARNING: current value: $ac_new_val" >&5
+ { echo "$as_me:836: WARNING: current value: $ac_new_val" >&5
echo "$as_me: WARNING: current value: $ac_new_val" >&2;}
ac_suggest_removing_cache=:
fi;;
esac
done
if $ac_suggest_removing_cache; then
- { echo "$as_me:866: WARNING: changes in the environment can compromise the
build" >&5
+ { echo "$as_me:843: WARNING: changes in the environment can compromise the
build" >&5
echo "$as_me: WARNING: changes in the environment can compromise the build"
>&2;}
- { echo "$as_me:868: WARNING: consider removing $cache_file and starting
over" >&5
+ { echo "$as_me:845: WARNING: consider removing $cache_file and starting
over" >&5
echo "$as_me: WARNING: consider removing $cache_file and starting over" >&2;}
fi
@@ -884,10 +861,10 @@
echo "#! $SHELL" >conftest.sh
echo "exit 0" >>conftest.sh
chmod +x conftest.sh
-if { (echo "$as_me:887: PATH=\".;.\"; conftest.sh") >&5
+if { (echo "$as_me:864: PATH=\".;.\"; conftest.sh") >&5
(PATH=".;."; conftest.sh) 2>&5
ac_status=$?
- echo "$as_me:890: \$? = $ac_status" >&5
+ echo "$as_me:867: \$? = $ac_status" >&5
(exit $ac_status); }; then
ac_path_separator=';'
else
@@ -913,7 +890,7 @@
fi
done
if test -z "$ac_aux_dir"; then
- { { echo "$as_me:916: error: cannot find install-sh or install.sh in $srcdir
$srcdir/.. $srcdir/../.." >&5
+ { { echo "$as_me:893: error: cannot find install-sh or install.sh in $srcdir
$srcdir/.. $srcdir/../.." >&5
echo "$as_me: error: cannot find install-sh or install.sh in $srcdir
$srcdir/.. $srcdir/../.." >&2;}
{ (exit 1); exit 1; }; }
fi
@@ -933,7 +910,7 @@
# AFS /usr/afsws/bin/install, which mishandles nonexistent args
# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
# ./install, which can be erroneously created by make from ./install.sh.
-echo "$as_me:936: checking for a BSD compatible install" >&5
+echo "$as_me:913: checking for a BSD compatible install" >&5
echo $ECHO_N "checking for a BSD compatible install... $ECHO_C" >&6
if test -z "$INSTALL"; then
if test "${ac_cv_path_install+set}" = set; then
@@ -982,7 +959,7 @@
INSTALL=$ac_install_sh
fi
fi
-echo "$as_me:985: result: $INSTALL" >&5
+echo "$as_me:962: result: $INSTALL" >&5
echo "${ECHO_T}$INSTALL" >&6
# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
@@ -993,7 +970,7 @@
test -z "$INSTALL_DATA" && INSTALL_DATA='${INSTALL} -m 644'
-echo "$as_me:996: checking whether build environment is sane" >&5
+echo "$as_me:973: checking whether build environment is sane" >&5
echo $ECHO_N "checking whether build environment is sane... $ECHO_C" >&6
# Just in case
sleep 1
@@ -1016,7 +993,7 @@
# if, for instance, CONFIG_SHELL is bash and it inherits a
# broken ls alias from the environment. This has actually
# happened. Such a system could not be considered "sane".
- { { echo "$as_me:1019: error: ls -t appears to fail. Make sure there is
not a broken
+ { { echo "$as_me:996: error: ls -t appears to fail. Make sure there is
not a broken
alias in your environment" >&5
echo "$as_me: error: ls -t appears to fail. Make sure there is not a broken
alias in your environment" >&2;}
@@ -1029,14 +1006,14 @@
# Ok.
:
else
- { { echo "$as_me:1032: error: newly created file is older than distributed
files!
+ { { echo "$as_me:1009: error: newly created file is older than distributed
files!
Check your system clock" >&5
echo "$as_me: error: newly created file is older than distributed files!
Check your system clock" >&2;}
{ (exit 1); exit 1; }; }
fi
rm -f conftest*
-echo "$as_me:1039: result: yes" >&5
+echo "$as_me:1016: result: yes" >&5
echo "${ECHO_T}yes" >&6
if test "$program_transform_name" = s,x,x,; then
program_transform_name=
@@ -1057,7 +1034,7 @@
# sed with no file args requires a program.
test -z "$program_transform_name" && program_transform_name="s,x,x,"
-echo "$as_me:1060: checking whether ${MAKE-make} sets \${MAKE}" >&5
+echo "$as_me:1037: checking whether ${MAKE-make} sets \${MAKE}" >&5
echo $ECHO_N "checking whether ${MAKE-make} sets \${MAKE}... $ECHO_C" >&6
set dummy ${MAKE-make}; ac_make=`echo "$2" | sed 'y,./+-,__p_,'`
if eval "test \"\${ac_cv_prog_make_${ac_make}_set+set}\" = set"; then
@@ -1077,11 +1054,11 @@
rm -f conftest.make
fi
if eval "test \"`echo '$ac_cv_prog_make_'${ac_make}_set`\" = yes"; then
- echo "$as_me:1080: result: yes" >&5
+ echo "$as_me:1057: result: yes" >&5
echo "${ECHO_T}yes" >&6
SET_MAKE=
else
- echo "$as_me:1084: result: no" >&5
+ echo "$as_me:1061: result: no" >&5
echo "${ECHO_T}no" >&6
SET_MAKE="MAKE=${MAKE-make}"
fi
@@ -1091,7 +1068,7 @@
VERSION=2.49e
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
- { { echo "$as_me:1094: error: source directory already configured; run
\"make distclean\" there first" >&5
+ { { echo "$as_me:1071: error: source directory already configured; run
\"make distclean\" there first" >&5
echo "$as_me: error: source directory already configured; run \"make
distclean\" there first" >&2;}
{ (exit 1); exit 1; }; }
fi
@@ -1105,78 +1082,78 @@
EOF
missing_dir=`cd $ac_aux_dir && pwd`
-echo "$as_me:1108: checking for working aclocal" >&5
+echo "$as_me:1085: checking for working aclocal" >&5
echo $ECHO_N "checking for working aclocal... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (aclocal --version) < /dev/null > /dev/null 2>&1; then
ACLOCAL=aclocal
- echo "$as_me:1115: result: found" >&5
+ echo "$as_me:1092: result: found" >&5
echo "${ECHO_T}found" >&6
else
ACLOCAL="$SHELL $missing_dir/missing aclocal"
- echo "$as_me:1119: result: missing" >&5
+ echo "$as_me:1096: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
-echo "$as_me:1123: checking for working autoconf" >&5
+echo "$as_me:1100: checking for working autoconf" >&5
echo $ECHO_N "checking for working autoconf... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (autoconf --version) < /dev/null > /dev/null 2>&1; then
AUTOCONF=autoconf
- echo "$as_me:1130: result: found" >&5
+ echo "$as_me:1107: result: found" >&5
echo "${ECHO_T}found" >&6
else
AUTOCONF="$SHELL $missing_dir/missing autoconf"
- echo "$as_me:1134: result: missing" >&5
+ echo "$as_me:1111: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
-echo "$as_me:1138: checking for working automake" >&5
+echo "$as_me:1115: checking for working automake" >&5
echo $ECHO_N "checking for working automake... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (automake --version) < /dev/null > /dev/null 2>&1; then
AUTOMAKE=automake
- echo "$as_me:1145: result: found" >&5
+ echo "$as_me:1122: result: found" >&5
echo "${ECHO_T}found" >&6
else
AUTOMAKE="$SHELL $missing_dir/missing automake"
- echo "$as_me:1149: result: missing" >&5
+ echo "$as_me:1126: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
-echo "$as_me:1153: checking for working autoheader" >&5
+echo "$as_me:1130: checking for working autoheader" >&5
echo $ECHO_N "checking for working autoheader... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (autoheader --version) < /dev/null > /dev/null 2>&1; then
AUTOHEADER=autoheader
- echo "$as_me:1160: result: found" >&5
+ echo "$as_me:1137: result: found" >&5
echo "${ECHO_T}found" >&6
else
AUTOHEADER="$SHELL $missing_dir/missing autoheader"
- echo "$as_me:1164: result: missing" >&5
+ echo "$as_me:1141: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
-echo "$as_me:1168: checking for working makeinfo" >&5
+echo "$as_me:1145: checking for working makeinfo" >&5
echo $ECHO_N "checking for working makeinfo... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (makeinfo --version) < /dev/null > /dev/null 2>&1; then
MAKEINFO=makeinfo
- echo "$as_me:1175: result: found" >&5
+ echo "$as_me:1152: result: found" >&5
echo "${ECHO_T}found" >&6
else
MAKEINFO="$SHELL $missing_dir/missing makeinfo"
- echo "$as_me:1179: result: missing" >&5
+ echo "$as_me:1156: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
@@ -1185,7 +1162,7 @@
# Extract the first word of "expr", so it can be a program name with args.
set dummy expr; ac_word=$2
-echo "$as_me:1188: checking for $ac_word" >&5
+echo "$as_me:1165: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_EXPR+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1202,12 +1179,12 @@
test -z "$ac_dir" && ac_dir=.
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_EXPR="$ac_dir/$ac_word"
- echo "$as_me:1205: found $ac_dir/$ac_word" >&5
+ echo "$as_me:1182: found $ac_dir/$ac_word" >&5
{ ac_try='$ac_dir/$ac_word --version </dev/null >&2'
- { (eval echo "$as_me:1207: \"$ac_try\"") >&5
+ { (eval echo "$as_me:1184: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:1210: \$? = $ac_status" >&5
+ echo "$as_me:1187: \$? = $ac_status" >&5
(exit $ac_status); }; }
break
fi
@@ -1219,10 +1196,10 @@
EXPR=$ac_cv_path_EXPR
if test -n "$EXPR"; then
- echo "$as_me:1222: result: $EXPR" >&5
+ echo "$as_me:1199: result: $EXPR" >&5
echo "${ECHO_T}$EXPR" >&6
else
- echo "$as_me:1225: result: no" >&5
+ echo "$as_me:1202: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1234,7 +1211,7 @@
do
# Extract the first word of "$ac_prog", so it can be a program name with
args.
set dummy $ac_prog; ac_word=$2
-echo "$as_me:1237: checking for $ac_word" >&5
+echo "$as_me:1214: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_M4+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1251,12 +1228,12 @@
test -z "$ac_dir" && ac_dir=.
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_M4="$ac_dir/$ac_word"
- echo "$as_me:1254: found $ac_dir/$ac_word" >&5
+ echo "$as_me:1231: found $ac_dir/$ac_word" >&5
{ ac_try='$ac_dir/$ac_word --version </dev/null >&2'
- { (eval echo "$as_me:1256: \"$ac_try\"") >&5
+ { (eval echo "$as_me:1233: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:1259: \$? = $ac_status" >&5
+ echo "$as_me:1236: \$? = $ac_status" >&5
(exit $ac_status); }; }
break
fi
@@ -1268,10 +1245,10 @@
M4=$ac_cv_path_M4
if test -n "$M4"; then
- echo "$as_me:1271: result: $M4" >&5
+ echo "$as_me:1248: result: $M4" >&5
echo "${ECHO_T}$M4" >&6
else
- echo "$as_me:1274: result: no" >&5
+ echo "$as_me:1251: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1279,7 +1256,7 @@
done
test -n "$M4" || M4="m4"
-echo "$as_me:1282: checking whether m4 supports frozen files" >&5
+echo "$as_me:1259: checking whether m4 supports frozen files" >&5
echo $ECHO_N "checking whether m4 supports frozen files... $ECHO_C" >&6
if test "${ac_cv_prog_gnu_m4+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1291,10 +1268,10 @@
esac
fi
fi
-echo "$as_me:1294: result: $ac_cv_prog_gnu_m4" >&5
+echo "$as_me:1271: result: $ac_cv_prog_gnu_m4" >&5
echo "${ECHO_T}$ac_cv_prog_gnu_m4" >&6
if test x"$ac_cv_prog_gnu_m4" != xyes; then
- { { echo "$as_me:1297: error: GNU m4 1.4 is required" >&5
+ { { echo "$as_me:1274: error: GNU m4 1.4 is required" >&5
echo "$as_me: error: GNU m4 1.4 is required" >&2;}
{ (exit 1); exit 1; }; }
fi
@@ -1306,7 +1283,7 @@
do
# Extract the first word of "$ac_prog", so it can be a program name with
args.
set dummy $ac_prog; ac_word=$2
-echo "$as_me:1309: checking for $ac_word" >&5
+echo "$as_me:1286: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_prog_AWK+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1321,12 +1298,12 @@
test -z "$ac_dir" && ac_dir=.
$as_executable_p "$ac_dir/$ac_word" || continue
ac_cv_prog_AWK="$ac_prog"
-echo "$as_me:1324: found $ac_dir/$ac_word" >&5
+echo "$as_me:1301: found $ac_dir/$ac_word" >&5
{ ac_try='$ac_dir/$ac_word --version </dev/null >&2'
- { (eval echo "$as_me:1326: \"$ac_try\"") >&5
+ { (eval echo "$as_me:1303: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:1329: \$? = $ac_status" >&5
+ echo "$as_me:1306: \$? = $ac_status" >&5
(exit $ac_status); }; }
break
done
@@ -1335,10 +1312,10 @@
fi
AWK=$ac_cv_prog_AWK
if test -n "$AWK"; then
- echo "$as_me:1338: result: $AWK" >&5
+ echo "$as_me:1315: result: $AWK" >&5
echo "${ECHO_T}$AWK" >&6
else
- echo "$as_me:1341: result: no" >&5
+ echo "$as_me:1318: result: no" >&5
echo "${ECHO_T}no" >&6
fi
@@ -1346,25 +1323,25 @@
done
# Generating man pages.
-echo "$as_me:1349: checking for working help2man" >&5
+echo "$as_me:1326: checking for working help2man" >&5
echo $ECHO_N "checking for working help2man... $ECHO_C" >&6
# Run test in a subshell; some versions of sh will print an error if
# an executable is not found, even if stderr is redirected.
# Redirect stdin to placate older versions of autoconf. Sigh.
if (help2man --version) < /dev/null > /dev/null 2>&1; then
HELP2MAN=help2man
- echo "$as_me:1356: result: found" >&5
+ echo "$as_me:1333: result: found" >&5
echo "${ECHO_T}found" >&6
else
HELP2MAN="$SHELL $missing_dir/missing help2man"
- echo "$as_me:1360: result: missing" >&5
+ echo "$as_me:1337: result: missing" >&5
echo "${ECHO_T}missing" >&6
fi
# We use a path for perl so the #! line in autoscan will work.
# Extract the first word of "perl", so it can be a program name with args.
set dummy perl; ac_word=$2
-echo "$as_me:1367: checking for $ac_word" >&5
+echo "$as_me:1344: checking for $ac_word" >&5
echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
if test "${ac_cv_path_PERL+set}" = set; then
echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1381,12 +1358,12 @@
test -z "$ac_dir" && ac_dir=.
if $as_executable_p "$ac_dir/$ac_word"; then
ac_cv_path_PERL="$ac_dir/$ac_word"
- echo "$as_me:1384: found $ac_dir/$ac_word" >&5
+ echo "$as_me:1361: found $ac_dir/$ac_word" >&5
{ ac_try='$ac_dir/$ac_word --version </dev/null >&2'
- { (eval echo "$as_me:1386: \"$ac_try\"") >&5
+ { (eval echo "$as_me:1363: \"$ac_try\"") >&5
(eval $ac_try) 2>&5
ac_status=$?
- echo "$as_me:1389: \$? = $ac_status" >&5
+ echo "$as_me:1366: \$? = $ac_status" >&5
(exit $ac_status); }; }
break
fi
@@ -1399,17 +1376,17 @@
PERL=$ac_cv_path_PERL
if test -n "$PERL"; then
- echo "$as_me:1402: result: $PERL" >&5
+ echo "$as_me:1379: result: $PERL" >&5
echo "${ECHO_T}$PERL" >&6
else
- echo "$as_me:1405: result: no" >&5
+ echo "$as_me:1382: result: no" >&5
echo "${ECHO_T}no" >&6
fi
if test "$PERL" != no; then
PERLSCRIPTS="autoscan autoupdate"
else
- { echo "$as_me:1412: WARNING: autoscan and autoupdate will not be built
since perl is not found" >&5
+ { echo "$as_me:1389: WARNING: autoscan and autoupdate will not be built
since perl is not found" >&5
echo "$as_me: WARNING: autoscan and autoupdate will not be built since perl is
not found" >&2;}
fi
@@ -1425,7 +1402,7 @@
# AFS /usr/afsws/bin/install, which mishandles nonexistent args
# SVR4 /usr/ucb/install, which tries to use the nonexistent group "staff"
# ./install, which can be erroneously created by make from ./install.sh.
-echo "$as_me:1428: checking for a BSD compatible install" >&5
+echo "$as_me:1405: checking for a BSD compatible install" >&5
echo $ECHO_N "checking for a BSD compatible install... $ECHO_C" >&6
if test -z "$INSTALL"; then
if test "${ac_cv_path_install+set}" = set; then
@@ -1474,7 +1451,7 @@
INSTALL=$ac_install_sh
fi
fi
-echo "$as_me:1477: result: $INSTALL" >&5
+echo "$as_me:1454: result: $INSTALL" >&5
echo "${ECHO_T}$INSTALL" >&6
# Use test -z because SunOS4 sh mishandles braces in ${var-val}.
@@ -1603,7 +1580,7 @@
: ${CONFIG_STATUS=./config.status}
ac_clean_files_save=$ac_clean_files
ac_clean_files="$ac_clean_files $CONFIG_STATUS"
-{ echo "$as_me:1606: creating $CONFIG_STATUS" >&5
+{ echo "$as_me:1583: creating $CONFIG_STATUS" >&5
echo "$as_me: creating $CONFIG_STATUS" >&6;}
cat >$CONFIG_STATUS <<_ACEOF
#! $SHELL
@@ -1682,13 +1659,6 @@
# CDPATH.
$as_unset CDPATH || test "${CDPATH+set}" != set || { CDPATH=:; export CDPATH; }
-# File descriptor usage:
-# 0 standard input
-# 1 file creation
-# 2 errors and warnings
-# 5 compiler messages saved in config.log
-# 6 checking for... messages and results
-exec 5>>/dev/null
exec 6>&1
_ACEOF
@@ -1723,9 +1693,7 @@
-d, --debug don't remove temporary files
--recheck update $as_me by reconfiguring in the same conditions
--file=FILE[:TEMPLATE]
- instantiate a configuration file FILE
- --header=FILE[:TEMPLATE]
- instantiate a configuration header FILE
+ instantiate the configuration file FILE
Configuration files:
$config_files
@@ -1780,7 +1748,7 @@
echo "$ac_cs_version"; exit 0 ;;
--he | --h)
# Conflict between --help and --header
- { { echo "$as_me:1783: error: ambiguous option: $1
+ { { echo "$as_me:1751: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
@@ -1807,12 +1775,12 @@
'tests/atconfig' ) CONFIG_FILES="$CONFIG_FILES tests/atconfig" ;;
# This is an error.
- -*) { { echo "$as_me:1810: error: unrecognized option: $1
+ -*) { { echo "$as_me:1778: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
{ (exit 1); exit 1; }; } ;;
- *) { { echo "$as_me:1815: error: invalid argument: $1" >&5
+ *) { { echo "$as_me:1783: error: invalid argument: $1" >&5
echo "$as_me: error: invalid argument: $1" >&2;}
{ (exit 1); exit 1; }; };;
esac
@@ -2038,7 +2006,7 @@
esac
if test x"$ac_file" != x-; then
- { echo "$as_me:2041: creating $ac_file" >&5
+ { echo "$as_me:2009: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
rm -f "$ac_file"
fi
@@ -2056,7 +2024,7 @@
-) echo $tmp/stdin ;;
[\\/$]*)
# Absolute (can't be DOS-style, as IFS=:)
- test -f "$f" || { { echo "$as_me:2059: error: cannot find input file:
$f" >&5
+ test -f "$f" || { { echo "$as_me:2027: error: cannot find input file:
$f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
echo $f;;
@@ -2069,7 +2037,7 @@
echo $srcdir/$f
else
# /dev/null tree
- { { echo "$as_me:2072: error: cannot find input file: $f" >&5
+ { { echo "$as_me:2040: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
{ (exit 1); exit 1; }; }
fi;;
- Minor tweaks to path handling (re-submit), Tim Van Holder, 2001/04/14
- Re: Minor tweaks to path handling (re-submit), Akim Demaille, 2001/04/17
- Re: Minor tweaks to path handling (re-submit), Tim Van Holder, 2001/04/17
- Re: Minor tweaks to path handling (re-submit), Akim Demaille, 2001/04/17
- Re: Minor tweaks to path handling (re-submit), Akim Demaille, 2001/04/17
- Re: Minor tweaks to path handling (re-submit), Lars J. Aas, 2001/04/17
- RE: Minor tweaks to path handling (re-submit), Tim Van Holder, 2001/04/17
- Re: Minor tweaks to path handling (re-submit), Akim Demaille, 2001/04/17
- RE: Minor tweaks to path handling (re-submit), Tim Van Holder, 2001/04/17
- Re: Minor tweaks to path handling (re-submit),
Akim Demaille <=
- Re: Minor tweaks to path handling (re-submit), Lars J. Aas, 2001/04/17
- Re: Minor tweaks to path handling (re-submit), Akim Demaille, 2001/04/17
- RE: Minor tweaks to path handling (re-submit), Tim Van Holder, 2001/04/17